ScreenFlow 5 and 6 on same computer

HORRIBLE business practice!!! I did a TRIAL of 6, and after it opens my older recordings, it asks me if I want to save them as version 6!!!

FIRST! WHY WOULD I SAVE IT FOR A TRIAL VERSION???? WHY EVEN ASK THAT???? WHY WOULD I SAVE IT IN A FORMAT I MAY NOT BUY THEN NOT BE ABLE TO USE IT WITH THE VERSION I PURCHASED???

SECOND; WHEN I DELETED 6 TRIAL, 5 WILL NOT WORK ANYMORE! AND YOU DO NOT PROVIDE A LINK TO RE-DOWNLOAD AND INSTALL 5!

HORRIBLE UNETHICAL BUSINESS. 😡

Because of this, I will buy another app. Your ploy to force me into 6 FAILED MISERABLY.

3replies Oldest first
  • Oldest first
  • Newest first
  • Active threads
  • Popular
  • I changed the title of your post because it is incorrect.
    Sorry you're having this issue but ScreenFlow 5 and 6 can co-exist on the same computer. I have several computers setup for testing with both.

    If you download 6 within 5 it will perform an upgrade which you would purchase. You can download the trial of 6 independently of 5 and it will ask if you want to keep both when you install. Generally I will put version 5 (or  6) in a separate folder in the Applications folder.

    ScreenFlow 5 is available on the Previous Versions pulldown on our Download Page.

    Reply Like
  • I got 5 back now. I am sorry, I missed out on a project because this wasn't working after I installed the trial of 6.

    Even when I recorded the screen with 5, it kept opening the new recording in 6, then wanting me to save it in that format with the watermark, or having to buy it.

    So I deleted 6, then 5 would not work. Even opening previous recordings. My 5 was also an upgrade, so I did not know where or how to get it back to re-install.

    Thank you for your help.

    Feel free to delete this thread.

    Reply Like
  • Denver Lee Harris You're welcome of course.
    Yes with both installed, projects may open in the wrong version. I open the correct ScreenFlow version first then open the project. If a project opens in the newer version it's updated and won't open in the older version. You'd have to be careful to manage them. 

    Reply Like
login to reply
Like Follow
  • 3 mths agoLast active
  • 3Replies
  • 98Views
  • 2 Following